# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXCull

Function

Removes invalid positions, connections, faces, or polylines (and their dependent information) from the Fields of an Object.

Syntax
`
#include <dx/dx.h>
`

Object DXCull(Object object)

Functional Details

Validity is determined from the contents of the "invalid" components: positions, connections, faces, or polylines. In any components that are dependent on these, elements corresponding to removed positions, connections, faces, or polylines are themselves removed. In any components that reference positions, connections, faces, or polylines, indices are renumbered, with the value -1 inserted for indices that reference removed elements. The "invalid" components are removed.

In general, `DXInvalidateConnections` and `DXInvalidateUnreferencedPositions` should be called before `DXCull` is called. This ensures that all connection, face, or polyline elements that reference invalid positions will be removed, along with all positions no longer referenced by any connections, faces, or polylines.

Return Value

Returns the updated Object or returns `NULL` and sets an error code.

See Also

`DXInvalidateConnections, DXInvalidateUnreferencedPositions`

14.3 , "Invalid Data".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]